## ros-noetic-flexbe-onboard 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(flexbe_onboard)

find_package(catkin REQUIRED)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

# specify catkin-specific information
# INCLUDE_DIRS - The exported include paths (i.e. cflags) for the package
# LIBRARIES - The exported libraries from the project
# CATKIN_DEPENDS - Other catkin projects that this project depends on
# DEPENDS - Non-catkin CMake projects that this project depends on
# CFG_EXTRAS - Additional configuration options 
catkin_package(
    INCLUDE_DIRS src
    LIBRARIES ${PROJECT_NAME})

# use add_library() or add_executable() as required
#add_library(${PROJECT_NAME} ${${PROJECT_NAME}_SRCS})

# install executables
install(PROGRAMS bin/start_behavior
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# run tests
if(CATKIN_ENABLE_TESTING)
	find_package(rostest REQUIRED)
	add_rostest(test/flexbe_onboard.test)
endif()

=== debian/changelog ===
ros-noetic-flexbe-onboard (1.3.1-1buster) buster; urgency=high

  * [flexbe_onboard] Fix assertion in onboard test
  * [flexbe_onboard] Offer option to enable clearing of imports
    (see #135 <https://github.com/team-vigir/flexbe_behavior_engine/issues/135>)
  * [flexbe_onboard] Print stack trace on behavior import errors
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 10 Dec 2020 23:00:00 -0000

ros-noetic-flexbe-onboard (1.3.0-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_onboard] Remove clearing imports, not working robustly
    (see e.g. flexbe/flexbe_app#66 <https://github.com/flexbe/flexbe_app/issues/66>)
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Wed, 18 Nov 2020 23:00:00 -0000

ros-noetic-flexbe-onboard (1.2.5-1buster) buster; urgency=high

  * [flexbe_onboard] Un-import behavior-specific imports after execution
  * [flexbe_onboard] Add test cases for onboard engine
  * Merge pull request #113 <https://github.com/team-vigir/flexbe_behavior_engine/issues/113> from team-vigir/feature/state_logger_rework
    State Logger Rework
  * Merge branch 'develop' into feature/state_logger_rework
  * [flexbe_onboard] Cleanup onboard and add thread locks
    (see #117 <https://github.com/team-vigir/flexbe_behavior_engine/issues/117>)
  * [flexbe_onboard] Expose new state logger args in onboard launch file
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 13 Jun 2020 22:00:00 -0000

ros-noetic-flexbe-onboard (1.2.4-1buster) buster; urgency=high

  * Merge pull request #110 <https://github.com/team-vigir/flexbe_behavior_engine/issues/110> from team-vigir/fix/catkin_install
    Let behavior library find sourcecode in devel or install spaces
  * Let behavior library find sourcecode in devel or install spaces
    (fix #104 <https://github.com/team-vigir/flexbe_behavior_engine/issues/104>)
  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * python3 compatibility via 2to3
  * Contributors: Philipp Schillinger, fmessmer

 -- Philipp Schillinger <schillin@kth.se>  Tue, 24 Mar 2020 23:00:00 -0000

ros-noetic-flexbe-onboard (1.2.3-1buster) buster; urgency=high

  * Merge pull request #97 <https://github.com/team-vigir/flexbe_behavior_engine/issues/97> from team-vigir/feature/test_behaviors
    flexbe_testing support for behaviors
  * [flexbe_core] [flexbe_onboard] Move behavior parametrization to core
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * [flexbe_onboard] Use proper tempdir to avoid access right issues for multi-user setups
  * Merge pull request #82 <https://github.com/team-vigir/flexbe_behavior_engine/issues/82> from grejj/fix/loglevel
    Changed loglevel from logdebug to loginfo because logdebug doesn't exist in Logger
  * Changed loglevel from logdebug to loginfo because logdebug doesn't exist in Logger
  * Contributors: Philipp Schillinger, grejj

 -- Philipp Schillinger <schillin@kth.se>  Thu, 09 Jan 2020 23:00:00 -0000

ros-noetic-flexbe-onboard (1.2.2-1buster) buster; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Sun, 15 Sep 2019 22:00:00 -0000

ros-noetic-flexbe-onboard (1.2.1-1buster) buster; urgency=high

  * Merge pull request #72 <https://github.com/team-vigir/flexbe_behavior_engine/issues/72> from mgruhler/fix/filemodes
    fix filemodes: those files should not be executable
  * fix filemodes: those files should not be executable
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Matthias Gruhler, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 01 Jun 2019 22:00:00 -0000

ros-noetic-flexbe-onboard (1.1.2-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_onboard] Change input parsing warning to debug level
  * Merge pull request #70 <https://github.com/team-vigir/flexbe_behavior_engine/issues/70> from henroth/bugfix/fix_incorrect_warning_format
    Fix formatting error that crashes behavior construction
  * In certain cases if an input key has a weird value (such as 0_degrees) it can cause an exception that prevents the behavior from being built. This is due to incorrect formatting in a warning message. This fixes the warning message formatting
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Henry Roth, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 08 Apr 2019 22:00:00 -0000

ros-noetic-flexbe-onboard (1.1.1-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Mon, 17 Dec 2018 23:00:00 -0000

ros-noetic-flexbe-onboard (1.1.0-1buster) buster; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * State logger is optional and off by default
  * Merge pull request #59 <https://github.com/team-vigir/flexbe_behavior_engine/issues/59> from synapticon/feat_make_installable
    Fix issues of installed packages
  * fix: Change tmp directory to "/tmp"
    Do not store temporary files inside the package directory but in "/tmp".
    This is needed since the package directory is not writeable without root
    permission when the package is installed.
  * Merge branch 'develop' into feature/flexbe_app
    Conflicts:


=== debian/control ===
Source: ros-noetic-flexbe-onboard
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <schillin@kth.se>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rostest
Homepage: http://ros.org/wiki/flexbe_onboard
Standards-Version: 3.9.2

Package: ros-noetic-flexbe-onboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-flexbe-core, ros-noetic-flexbe-msgs, ros-noetic-rospy
Description: flexbe_onboard implements the robot-side of the behavior engine from where all behaviors are started.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-flexbe-onboard//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-flexbe-onboard 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(flexbe_onboard)
 
 find_package(catkin REQUIRED)

=== debian/changelog ===
ros-noetic-flexbe-onboard (1.4.0-2focal) focal; urgency=high

  * Updates for Melodic and Noetic releases on github.com/FlexBE
  * [flexbe_onboard] Merge pull request #165 from HannesBachter/feature/get_userdata - get userdata by service

 -- Philipp Schillinger <schillin@kth.se>  Thu, 18 May 2023 04:00:00 -0000

ros-noetic-flexbe-onboard (1.3.1-2focal) focal; urgency=high

  * [flexbe_onboard] Fix assertion in onboard test
  * [flexbe_onboard] Offer option to enable clearing of imports
    (see #135 <https://github.com/team-vigir/flexbe_behavior_engine/issues/135>)
  * [flexbe_onboard] Print stack trace on behavior import errors
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Fri, 11 Dec 2020 05:00:00 -0000

ros-noetic-flexbe-onboard (1.3.0-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_onboard] Remove clearing imports, not working robustly
    (see e.g. flexbe/flexbe_app#66 <https://github.com/flexbe/flexbe_app/issues/66>)
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 19 Nov 2020 05:00:00 -0000

ros-noetic-flexbe-onboard (1.2.5-2focal) focal; urgency=high

  * [flexbe_onboard] Un-import behavior-specific imports after execution
  * [flexbe_onboard] Add test cases for onboard engine
  * Merge pull request #113 <https://github.com/team-vigir/flexbe_behavior_engine/issues/113> from team-vigir/feature/state_logger_rework
    State Logger Rework
  * Merge branch 'develop' into feature/state_logger_rework
  * [flexbe_onboard] Cleanup onboard and add thread locks
    (see #117 <https://github.com/team-vigir/flexbe_behavior_engine/issues/117>)
  * [flexbe_onboard] Expose new state logger args in onboard launch file
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sun, 14 Jun 2020 04:00:00 -0000

ros-noetic-flexbe-onboard (1.2.4-2focal) focal; urgency=high

  * Merge pull request #110 <https://github.com/team-vigir/flexbe_behavior_engine/issues/110> from team-vigir/fix/catkin_install
    Let behavior library find sourcecode in devel or install spaces
  * Let behavior library find sourcecode in devel or install spaces
    (fix #104 <https://github.com/team-vigir/flexbe_behavior_engine/issues/104>)
  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * python3 compatibility via 2to3
  * Contributors: Philipp Schillinger, fmessmer

 -- Philipp Schillinger <schillin@kth.se>  Wed, 25 Mar 2020 04:00:00 -0000

ros-noetic-flexbe-onboard (1.2.3-2focal) focal; urgency=high

  * Merge pull request #97 <https://github.com/team-vigir/flexbe_behavior_engine/issues/97> from team-vigir/feature/test_behaviors
    flexbe_testing support for behaviors
  * [flexbe_core] [flexbe_onboard] Move behavior parametrization to core
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * [flexbe_onboard] Use proper tempdir to avoid access right issues for multi-user setups
  * Merge pull request #82 <https://github.com/team-vigir/flexbe_behavior_engine/issues/82> from grejj/fix/loglevel
    Changed loglevel from logdebug to loginfo because logdebug doesn't exist in Logger
  * Changed loglevel from logdebug to loginfo because logdebug doesn't exist in Logger
  * Contributors: Philipp Schillinger, grejj

 -- Philipp Schillinger <schillin@kth.se>  Fri, 10 Jan 2020 05:00:00 -0000

ros-noetic-flexbe-onboard (1.2.2-2focal) focal; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Mon, 16 Sep 2019 04:00:00 -0000

ros-noetic-flexbe-onboard (1.2.1-2focal) focal; urgency=high

  * Merge pull request #72 <https://github.com/team-vigir/flexbe_behavior_engine/issues/72> from mgruhler/fix/filemodes
    fix filemodes: those files should not be executable
  * fix filemodes: those files should not be executable
  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Matthias Gruhler, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sun, 02 Jun 2019 04:00:00 -0000

ros-noetic-flexbe-onboard (1.1.2-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_onboard] Change input parsing warning to debug level
  * Merge pull request #70 <https://github.com/team-vigir/flexbe_behavior_engine/issues/70> from henroth/bugfix/fix_incorrect_warning_format
    Fix formatting error that crashes behavior construction
  * In certain cases if an input key has a weird value (such as 0_degrees) it can cause an exception that prevents the behavior from being built. This is due to incorrect formatting in a warning message. This fixes the warning message formatting
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Henry Roth, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Tue, 09 Apr 2019 04:00:00 -0000

ros-noetic-flexbe-onboard (1.1.1-2focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Tue, 18 Dec 2018 05:00:00 -0000

ros-noetic-flexbe-onboard (1.1.0-2focal) focal; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * State logger is optional and off by default
  * Merge pull request #59 <https://github.com/team-vigir/flexbe_behavior_engine/issues/59> from synapticon/feat_make_installable
    Fix issues of installed packages


=== debian/control ===
Source: ros-noetic-flexbe-onboard
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <schillin@kth.se>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin, ros-noetic-rostest
Homepage: http://ros.org/wiki/flexbe_onboard
Standards-Version: 3.9.2

Package: ros-noetic-flexbe-onboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-flexbe-core, ros-noetic-flexbe-msgs, ros-noetic-flexbe-states, ros-noetic-rospy, ros-noetic-rostest, ros-noetic-std-msgs
Description: flexbe_onboard implements the robot-side of the behavior engine from where all behaviors are started.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
